/**
 * Copyright (c) 2010-2023 Contributors to the openHAB project
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 */
package org.openhab.core.automation;

import org.eclipse.jdt.annotation.NonNullByDefault;

/**
 * Marker interface for RuleActions
 *
 * Every method in the implementation should provide annotations which are used to create the ModuleTypes
 *
 * @author Stefan Triller - Initial contribution
 */
@NonNullByDefault
public interface AnnotatedActions {

}
